### Method

# GIRepository UnionInfo get_field

since: 2.80

#### Declaration

    GIFieldInfo*
    gi_union_info_get_field (
      GIUnionInfo* info,
      unsigned int n
    )

#### Description

Obtain the type information for the field with the specified index.

Available since: 2.80

#### Parameters

`n`

  Type: `unsigned int`

  A field index.

#### Return value

Type: `GIFieldInfo`

The `GIFieldInfo`, free it with `gi_base_info_unref()` when done.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.